Mattermost, Inc.

Sql Error when attempting installation of 5.17.0

CentOS 7 / MariaDB 5.5.64 / Mattermost 5.17.0

All goes well until the start of mattermost

-bash-4.2$ ./bin/mattermost
{“level”:“info”,“ts”:1574453485.5402627,“caller”:“utils/i18n.go:83”,“msg”:“Loaded system translations”,“for locale”:“en”,“from locale”:"/opt/mattermost/i18n/en.json"}
{“level”:“info”,“ts”:1574453485.5404034,“caller”:“app/server_app_adapters.go:59”,“msg”:“Server is initializing…”}
{“level”:“info”,“ts”:1574453485.5483878,“caller”:“sqlstore/supplier.go:222”,“msg”:“Pinging SQL”,“database”:“master”}
{“level”:“error”,“ts”:1574453485.5837245,“caller”:“sqlstore/supplier.go:816”,“msg”:“Failed to create index”,“error”:“Error 1214: The used table type doesn’t support FULLTEXT indexes”}

Not sure an ALTER Table would be right with this version of MariaDB

Thanks for any help

Karen
magee@mayo.edu

What server version did you upgrade from?

Would you be open to checking if any of these previous threads might help:

Unfortunately, this wasn’t a upgrade, but a clean initial install.
I have looked at those posts and tried things, but nothing helped. Although I didn’t really
take MariaDB out of the picture as one post suggested.

Karen

Does anyone have an answer whether MariaDB is supported. If not, this is a big deal in my environment…

Thanks

Karen

Hello, @magee

I came across the Support for MariaDB article which I believe you were referring to here.

Any chance you might consider using MySQL or PostgreSQL as they are the supported databases for Mattermost?